org.h2.expression.function.table

## Class CSVReadFunction

- java.lang.Object
- - org.h2.expression.function.table.TableFunction
  - - org.h2.expression.function.table.CSVReadFunction

All Implemented Interfaces:
  ExpressionWithVariableParameters, NamedExpression, HasSQL

    public final class CSVReadFunction
    extends TableFunction

A CSVREAD function.

### Field Summary

### Fields inherited from class org.h2.expression.function.table.TableFunction

`args`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`CSVReadFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get the name.
`ResultInterface` `getValue(SessionLocal session)` Get a result with.
`ResultInterface` `getValueTemplate(SessionLocal session)` Get an empty result with the column names set.
`boolean` `isDeterministic()` Whether the function always returns the same result for the same parameters.
`void` `optimize(SessionLocal session)` Try to optimize this table function

### Methods inherited from class org.h2.expression.function.table.TableFunction

`addParameter, doneWithParameters, getSQL, mapColumns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

### Constructor Detail

#### CSVReadFunction

    public CSVReadFunction()

### Method Detail

#### getValue

    public ResultInterface getValue(SessionLocal session)

Description copied from class: `TableFunction`
Get a result with.

Specified by:
  `getValue` in class `TableFunction`
Parameters:
  `session` - the session
Returns:
  the result

#### optimize

    public void optimize(SessionLocal session)

Description copied from class: `TableFunction`
Try to optimize this table function

Overrides:
  `optimize` in class `TableFunction`
Parameters:
  `session` - the session

#### getValueTemplate

    public ResultInterface getValueTemplate(SessionLocal session)

Description copied from class: `TableFunction`
Get an empty result with the column names set.

Specified by:
  `getValueTemplate` in class `TableFunction`
Parameters:
  `session` - the session
Returns:
  the empty result

#### getName

    public java.lang.String getName()

Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase

#### isDeterministic

    public boolean isDeterministic()

Description copied from class: `TableFunction`
Whether the function always returns the same result for the same parameters.

Specified by:
  `isDeterministic` in class `TableFunction`
Returns:
  true if it does